import { Event as BlockchainEvent } from 'ethers';
import { Configuration } from '@energyweb/utils-general';
import { Certificate } from './Certificate';
export declare function claimCertificates(certificateIds: number[], configuration: Configuration.Entity): Promise<import("ethers").ContractTransaction>;
export declare function transferCertificates(certificateIds: number[], to: string, configuration: Configuration.Entity): Promise<import("ethers").ContractTransaction>;
export declare function getAllCertificates(configuration: Configuration.Entity): Promise<Certificate[]>;
export declare const getAllCertificateEvents: (certId: number, configuration: Configuration.Entity<any, any>) => Promise<BlockchainEvent[]>;
